Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wpvs.operation
Class GetView

    java.lang.Object
      org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
          org.deegree.ogcwebservices.wpvs.operation.WPVSRequestBase
              org.deegree.ogcwebservices.wpvs.operation.GetView

All Implemented Interfaces:
  Serializable, OGCWebServiceRequest

    public class GetView

extends WPVSRequestBase

This Class handles a kvp request from a client and stores it's values.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Ugo Taddei, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Method Summary
`static GetView` | `create(Map<String,String> requestParams)` Factory method to create an instance of GetView from teh parameters in `model`
`double` | `getAngleOfView()`
`Color` | `getBackgroundColor()`
`Envelope` | `getBoundingBox()`
`CoordinateSystem` | `getCrs()`
`List<String>` | `getDatasets()`
`double` | `getDistance()`
`String` | `getElevationModel()`
`String` | `getExceptionFormat()`
`double` | `getFarClippingPlane()`
`Dimension` | `getImageDimension()`
`String` | `getOutputFormat()`
`double` | `getPitch()`
`javax.vecmath.Point3d` | `getPointOfInterest()`
`double` | `getQuality()`
`double` | `getRoll()`
`double` | `getYaw()`
`boolean` | `isTransparent()`
`void` | `setAngleOfView(double angleOfView)`
`void` | `setDistance(double distance)`
`void` | `setFarClippingPlane(double farClippingPlane)`
`void` | `setPitch(double pitch)`
`void` | `setYaw(double yaw)`

Methods inherited from class org.deegree.ogcwebservices.wpvs.operation.WPVSRequestBase
`getScale, getServiceName`

Methods inherited from class org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
`getId, getParam, getParamAsInt, getParamValues, getRequestParameter, getRequiredParam, getVendorSpecificParameter, getVendorSpecificParameters, getVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### create

    public static GetView create(Map<String,String> requestParams)
                          throws InconsistentRequestException,
                                 InvalidParameterValueException

  Factory method to create an instance of GetView from teh parameters in `model`

  Parameters:
    `requestParams` - a map containing request parameters and values
  Returns:
    a new instance of GetView
  Throws:
    `InconsistentRequestException` - if a mandatory parameter is missing
    `InvalidParameterValueException` - if a parameter has an illegal value

### getAngleOfView

    public double getAngleOfView()

  Returns:
    the requested angleOfView

### getDistance

    public double getDistance()

  Returns:
    the requested distance to the poi

### getImageDimension

    public Dimension getImageDimension()

  Returns:
    the requested dimension of the resultimage

### getPitch

    public double getPitch()

  Returns:
    the requested pitch (rotation around the x-axis)

### getPointOfInterest

    public javax.vecmath.Point3d getPointOfInterest()

  Returns:
    the point of interest as Point3d

### getQuality

    public double getQuality()

  Returns:
    the quality of the textures

### getRoll

    public double getRoll()

  Returns:
    the requested roll (rotation around the y-axis)

### isTransparent

    public boolean isTransparent()

  Returns:
    if the resultimage should be transparent

### getYaw

    public double getYaw()

  Returns:
    the requested yaw (rotation around the z-axis)

### getDatasets

    public List<String> getDatasets()

  Returns:
    the requested datasets (e.g. layers or features etc.)

### getBackgroundColor

    public Color getBackgroundColor()

  Returns:
    the requested color of the background

### getExceptionFormat

    public String getExceptionFormat()

  Returns:
    the requested format of thrown exceptions

### getOutputFormat

    public String getOutputFormat()

  Returns:
    the mimetype of the resultimage

### getBoundingBox

    public Envelope getBoundingBox()

  Returns:
    the boundingbox of the request

### getCrs

    public CoordinateSystem getCrs()

  Returns:
    the Coordinate System of the request

### getElevationModel

    public String getElevationModel()

  Returns:
    the elevationmodel to be used.

### getFarClippingPlane

    public double getFarClippingPlane()

  Returns:
    Returns the farClippingPlane.

### setFarClippingPlane

    public void setFarClippingPlane(double farClippingPlane)

  Parameters:
    `farClippingPlane` - another clippingPlane distance.

### setPitch

    public void setPitch(double pitch)

  Parameters:
    `pitch` - a new pitch value

### setDistance

    public void setDistance(double distance)

  Parameters:
    `distance` - An other distance value.

### setYaw

    public void setYaw(double yaw)

  Parameters:
    `yaw` - An other yaw value.

### setAngleOfView

    public void setAngleOfView(double angleOfView)

  Parameters:
    `angleOfView` - An other angleOfView value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org